org.appng.api.rest.model

## Class User

- java.lang.Object
- - org.appng.api.rest.model.User

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class User
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `User` | `decimalSeparator(String decimalSeparator)`
    `User` | `email(String email)`
    `boolean` | `equals(Object o)`
    `String` | `getDecimalSeparator()` The charactor used as a decimal separator.
    `String` | `getEmail()` The email address of the user.
    `String` | `getGroupingSeparator()` The charactor used when grouping numbers.
    `String` | `getLocale()` The IETF BCP 47 language tag for the user.
    `String` | `getName()`
    `String` | `getTimezone()` The name of the IANA time zone the user is located at.
    `User` | `groupingSeparator(String groupingSeparator)`
    `int` | `hashCode()`
    `User` | `locale(String locale)`
    `User` | `name(String name)`
    `void` | `setDecimalSeparator(String decimalSeparator)`
    `void` | `setEmail(String email)`
    `void` | `setGroupingSeparator(String groupingSeparator)`
    `void` | `setLocale(String locale)`
    `void` | `setName(String name)`
    `void` | `setTimezone(String timezone)`
    `User` | `timezone(String timezone)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User()

  - ### Method Detail

    - #### name

          public User name(String name)

    - #### getName

          public String getName()

      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### email

          public User email(String email)

    - #### getEmail

          public String getEmail()

      The email address of the user.
      Returns:
        email

    - #### setEmail

          public void setEmail(String email)

    - #### locale

          public User locale(String locale)

    - #### getLocale

          public String getLocale()

      The IETF BCP 47 language tag for the user.
      Returns:
        locale

    - #### setLocale

          public void setLocale(String locale)

    - #### timezone

          public User timezone(String timezone)

    - #### getTimezone

          public String getTimezone()

      The name of the IANA time zone the user is located at.
      Returns:
        timezone

    - #### setTimezone

          public void setTimezone(String timezone)

    - #### decimalSeparator

          public User decimalSeparator(String decimalSeparator)

    - #### getDecimalSeparator

          public String getDecimalSeparator()

      The charactor used as a decimal separator.
      Returns:
        decimalSeparator

    - #### setDecimalSeparator

          public void setDecimalSeparator(String decimalSeparator)

    - #### groupingSeparator

          public User groupingSeparator(String groupingSeparator)

    - #### getGroupingSeparator

          public String getGroupingSeparator()

      The charactor used when grouping numbers.
      Returns:
        groupingSeparator

    - #### setGroupingSeparator

          public void setGroupingSeparator(String groupingSeparator)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.